org.eclipse.net4j

## Class TransportInjector

- java.lang.Object
- - org.eclipse.net4j.TransportInjector

- All Implemented Interfaces:
    IElementProcessor

      public class TransportInjector
      extends Object
      implements IElementProcessor

  An element post processor that injects a `transport configuration` into the `connectors` and `acceptors` of a `managed container`.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransportInjector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IBufferProvider` | `getBufferProvider(IManagedContainer container)`
    `protected ExecutorService` | `getExecutorService(IManagedContainer container)`
    `Object` | `process(IManagedContainer container, String productGroup, String factoryType, String description, Object element)`
    `protected void` | `processAcceptor(IManagedContainer container, String factoryType, String description, InternalAcceptor acceptor)`
    `protected void` | `processConnector(IManagedContainer container, String factoryType, String description, InternalConnector connector)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransportInjector

          public TransportInjector()

  - ### Method Detail

    - #### process

          public Object process(IManagedContainer container,
                                String productGroup,
                                String factoryType,
                                String description,
                                Object element)

      Specified by:
        `process` in interface `IElementProcessor`

    - #### processAcceptor

          protected void processAcceptor(IManagedContainer container,
                                         String factoryType,
                                         String description,
                                         InternalAcceptor acceptor)

    - #### processConnector

          protected void processConnector(IManagedContainer container,
                                          String factoryType,
                                          String description,
                                          InternalConnector connector)

    - #### getBufferProvider

          protected IBufferProvider getBufferProvider(IManagedContainer container)

      Since:
        2.0

    - #### getExecutorService

          protected ExecutorService getExecutorService(IManagedContainer container)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html